// =============================================================================
// Parent   : UnrealI.TarydiumBarrel
// Package  : BMSTING OR BOBPNZ
// Class    : BB4 (BOOM BARREL  STYLE4 )
//
// Author   : BOB
// Homepage : http://WWW.BOBSCRAZYCOOP.110MB.COM/
// DESP - A BARREL THAT SPAWNS run1 projectile.
// Version  : NA
// =============================================================================
class bb4 expands TarydiumBarrel;


var bool bChainedExplosion, bDestroy;

auto state active
{

	function Timer()
	{
		local int NumChunks;
		local SpriteBallExplosion s;
		local RingExplosion3 r;
		
		Super.Timer();
		
		if (!bDestroy) Return;
		
		NumChunks = 12;
		s = spawn(class'SpriteBallExplosion');
		r = spawn(class'RingExplosion3',,,Location - Vect(0,0,16),rot(16384,0,0));
		r.PlaySound(r.ExploSound,,6);
		HurtRadius(5, 5, 'destroyed', 5, Location);
		if (bChainedExplosion) NumChunks = 4;
		skinnedFrag(class'Fragment1', texture'JSteelBarrel2', Vect(20000,0,0),1.0, 7);		
	}

	function TakeDamage( int NDamage, Pawn instigatedBy, Vector hitlocation, 
						Vector momentum, name damageType)
	{
		bChainedExplosion = False;
		bDestroy=True;
		if (DamageType=='destroyed') {
			SetTimer(10,False);
			//bChainedExplosion = True;
		}
		else Timer();
		Instigator = InstigatedBy;		
		if ( Instigator != None )
			MakeNoise(1.0);
			spawn(class'bmsting.run1');
                        
                        
	}

Begin:
}

defaultproperties
{
}
